import yargs from 'yargs'
import fs from 'fs-extra';
import { hideBin } from 'yargs/helpers'

//const argv = yargs(hideBin(process.argv)).argv

// if (!argv.userId){
//   console.log(' --userId [any valid userId]')
//   process.exit(1)
// }

(async () => {
    const selectOptionsResponse = await fetch('http://localhost:3000/bizmatch/select-options', {
        method: 'GET',
        headers: { 'Content-Type': 'application/json' },
    })
    const selectOptions:any = await selectOptionsResponse.json();
    const response = await fetch('http://localhost:3000/bizmatch/listings', {
        method: 'GET',
        headers: { 'Content-Type': 'application/json' },
    })
    const listings:Array<any> = await response.json();
    for (const listing of listings) {
        const option = selectOptions.locations.find(l=>l.name.toLowerCase()===listing.state.toLowerCase());
        if (option){
            listing.state=option.value
        }
        const response = await fetch(`http://localhost:3000/bizmatch/listings/${listing.id}`, {
            method: 'PUT',
            body: JSON.stringify(listing),
            headers: { 'Content-Type': 'application/json' },
        });
    }
})();